/*
  Arduino UNO + ES920LR3
  RX data LCD display

*/

#include <LiquidCrystal.h>
#include "LoRa.h"

const int rs = 4, en = 6, d4 = 10, d5 = 11, d6 = 12, d7 = 13;
LiquidCrystal lcd(rs, en, d4, d5, d6, d7);

void setup() {
  lcd.begin(16, 2);
  LoRaInit();
}

void loop() {
  if (Serial.available()) {
    lcd.clear();
    delay(100);
    while (Serial.available()) {
      uint8_t ch = Serial.read();
      if (ch >= ' '){
        lcd.write(ch);
      }
    }
  }
}
